<?php
namespace Pinpoint\SocialIcons\ViewModel;

class GetOptions implements \Magento\Framework\View\Element\Block\ArgumentInterface
{
    public function __construct(
        \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig,
        \Magento\Store\Model\StoreManagerInterface $storeManager
    ) {
        $this->scopeConfig = $scopeConfig;
        $this->storeManager = $storeManager;
    }
       
    public function isEnabled():bool {
        return $this->scopeConfig->isSetFlag("socialicons/general/enabled",
        \Magento\Store\Model\ScopeInterface::SCOPE_STORE,$this->storeManager->getStore()->getStoreId());
    }

    public function getIconStyle():string {
        return $this->scopeConfig->getValue("socialicons/display/icon_style",
        \Magento\Store\Model\ScopeInterface::SCOPE_STORE,$this->storeManager->getStore()->getStoreId()) ?? "icon-only";
    }

    public function getIconColor():string {
        return $this->scopeConfig->getValue("socialicons/display/icon_color",
        \Magento\Store\Model\ScopeInterface::SCOPE_STORE,$this->storeManager->getStore()->getStoreId()) ?? "black";
    }

    public function getBackgroundColor():string {
        return $this->scopeConfig->getValue("socialicons/display/background_color",
        \Magento\Store\Model\ScopeInterface::SCOPE_STORE,$this->storeManager->getStore()->getStoreId()) ?? "unset";
    }

    public function getIconSize():int {
        return $this->scopeConfig->getValue("socialicons/display/icon_size",
        \Magento\Store\Model\ScopeInterface::SCOPE_STORE,$this->storeManager->getStore()->getStoreId()) ?? 32;
    }

    public function getIconSpacing():int {
        return $this->scopeConfig->getValue("socialicons/display/icon_spacing",
        \Magento\Store\Model\ScopeInterface::SCOPE_STORE,$this->storeManager->getStore()->getStoreId()) ?? 6;
    }

    public function showFacebook():bool {
        return $this->scopeConfig->isSetFlag("socialicons/social_profiles/show_facebook",
        \Magento\Store\Model\ScopeInterface::SCOPE_STORE,$this->storeManager->getStore()->getStoreId());
    }

    public function getFacebookUrl():string {
        return $this->scopeConfig->getValue("socialicons/social_profiles/facebook_url",
        \Magento\Store\Model\ScopeInterface::SCOPE_STORE,$this->storeManager->getStore()->getStoreId()) ?? "solid";
    }

    public function showTwitter():bool {
        return $this->scopeConfig->isSetFlag("socialicons/social_profiles/show_twitter",
        \Magento\Store\Model\ScopeInterface::SCOPE_STORE,$this->storeManager->getStore()->getStoreId());
    }

    public function getTwitterUrl():string {
        return $this->scopeConfig->getValue("socialicons/social_profiles/twitter_url",
        \Magento\Store\Model\ScopeInterface::SCOPE_STORE,$this->storeManager->getStore()->getStoreId()) ?? "solid";
    }

    public function showYoutube():bool {
        return $this->scopeConfig->isSetFlag("socialicons/social_profiles/show_youtube",
        \Magento\Store\Model\ScopeInterface::SCOPE_STORE,$this->storeManager->getStore()->getStoreId());
    }

    public function getYoutubeUrl():string {
        return $this->scopeConfig->getValue("socialicons/social_profiles/youtube_url",
        \Magento\Store\Model\ScopeInterface::SCOPE_STORE,$this->storeManager->getStore()->getStoreId()) ?? "solid";
    }

    public function showInstagram():bool {
        return $this->scopeConfig->isSetFlag("socialicons/social_profiles/show_instagram",
        \Magento\Store\Model\ScopeInterface::SCOPE_STORE,$this->storeManager->getStore()->getStoreId());
    }

    public function getInstagramUrl():string {
        return $this->scopeConfig->getValue("socialicons/social_profiles/instagram_url",
        \Magento\Store\Model\ScopeInterface::SCOPE_STORE,$this->storeManager->getStore()->getStoreId()) ?? "solid";
    }

}
